#pragma once

#include <exception>
#include "halleystring.h"

namespace Halley {
	class Exception : public std::exception {
	public:
		Exception(String msg);

		const char* what() const;

	private:
		String msg;
	};
}
